License for OCB Usage
=====================

Last updated: November 1, 2022

This license has been graciously granted by Professor Phillip Rogaway to allow
users of [`rnp`](https://github.com/rnpgp/rnp) to utilize the patented
[OCB](http://web.cs.ucdavis.edu/~rogaway/ocb/) blockcipher mode of operation,
which simultaneously provides privacy and authenticity.

While the license is irrevocable and does not expire, it is no longer necessary,
since Professor Phillip Rogaway confirmed that the OCB patents are now in the
public domain and officially abandoned, announced at the link below:

* https://mailarchive.ietf.org/arch/msg/cfrg/qLTveWOdTJcLn4HP3ev-vrj05Vg/

This license text remains in RNP as an acknowledgement of kindness given by
Professor Phillip Rogaway to make OCB available for RNP users.

The license text is presented below in plain text form purely for referential
purposes. The original signed license is available on request from Ribose Inc.,
reachable at open.source@ribose.com.

This file adheres to the formatting guidelines of
[readable-licenses](https://github.com/nevir/readable-licenses).


OCB Patent License for Ribose Inc.
----------------------------------

1. Definitions

1.1 "Licensor" means Phillip Rogaway, of 1212 Purdue Dr., Davis, California, USA.

1.2 "Licensed Patents" means any patent that claims priority to United States
Patent Application No. 09/918,615 entitled "Method and Apparatus for
Facilitating Efficient Authenticated Encryption," and any utility, divisional,
provisional, continuation, continuations in part, reexamination, reissue, or
foreign counterpart patents that may issue with respect to the aforesaid patent
application. This includes, but is not limited to, United States Patent No.
7,046,802; United States Patent No. 7,200,227; United States Patent No.
7,949,129; United States Patent No. 8,321,675; and any patent that issues out
or United States Patent Application No. 13/669,114.

1.3 "Licensee" means Ribose Inc., at Suite 1, 8/F, 10 Ice House Street,
Central, Hong Kong, its affiliates, assignees, or successors in interest, or
anyone using, making, copying, modifying, distributing, having made, importing,
or having imported any program, software, or computer system including or based
upon Open Source Software published by Ribose Inc., or their customers,
suppliers, importers, manufacturers, distributors, or insurers.

1.4 "Use in Licensee Products" means using, making, copying, modifying,
distributing, having made, importing or having imported any program, software,
or computer system published by Licensee, which contains or is based upon Open
Source Software which may include any implementation of the Licensed Patents.

1.5 "Open Source Software" means software whose source code is published and
made available for inspection and use by anyone because either (a) the source
code is subject to a license that permits recipients to copy, modify, and
distribute the source code without payment of fees or royalties, or (b) the
source code is in the public domain, including code released for public use
through a CC0 waiver. All licenses certified by the Open Source Initiative at
opensource.org as of January 1, 2017 and all Creative Commons licenses
identified on the creativecommons.org website as of January 1, 2017, including
the Public License Fallback of the CC0 waiver, satisfy these requirements for
the purposes of this license.

2. Grant of License

2.1 Licensor hereby grants to Licensee a perpetual, worldwide, non-exclusive,
nontransferable, non-sublicenseable, no-charge, royalty-free, irrevocable
license to Use in Licensee Products any invention claimed in the Licensed
Patents in any Open Source Software Implementation and in hardware as long as
the Open Source Software incorporated in such hardware is freely licensed for
hardware embodiment.

3. Disclaimer

3.1 LICENSEE'S USE OF THE LICENSED PATENTS IS AT LICENSEE'S OWN RISK AND UNLESS
REQUIRED BY APPLICABLE LAW, LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES OF
ANY KIND CONCERNING THE LICENSED PATENTS OR ANY PRODUCT EMBODYING ANY LICENSED
PATENT, EXPRESS OR IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT
LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR
PURPOSE, OR NONINFRINGEMENT. IN NO EVENT WILL LICENSOR BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING
FROM OR RELATED TO ANY USE OF THE LICENSED PATENTS, INCLUDING, WITHOUT
LIMITATION, DIRECT, INDIRECT, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR SPECIAL
DAMAGES, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES
PRIOR TO SUCH AN OCCURRENCE.

[SIGNATURE by Phillip Rogaway]

Date: August 28, 2017
